Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043515
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-03-17 16:302020-04-06 15:50
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revisioncc2ce00b64cb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043515: Apply new HQL Style in ReplaceOrderExecutor.java

DescriptionReplaceOrderExecutor.java has one HQL query with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0118667)
inigo_lerga (developer)
2020-03-18 10:03

--Test Plan Mantis HQL--
For this query to get executed, the preference
"Enable Cancel and Replace" needs to be active beforehand.
As the F&B International Group Admin role:
  - Go to the Sales Order window and create a new record
    with any Business Partner desired.
  - Go to the Lines Tab and create a new Line with any product
    desired.
  - Press the Book button and OK in the popup window.
  - Press the Cancel and Replace button and Done in the popup
    window.
  - Press the Confirm Cancel and Replace button and Done in the
    popup window.

  #In this moment the modified HQL query is executed.#
(0118711)
hgbot (developer)
2020-03-20 13:14

Repository: erp/devel/pi
Changeset: dd468d7cebe3e8cb1c57a778708ab3c40ed6c8ae
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Mar 18 10:17:23 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dd468d7cebe3e8cb1c57a778708ab3c40ed6c8ae [^]

fixes BUG-43515:Applied new HQL Style

---
M src/org/openbravo/erpCommon/businessUtility/ReplaceOrderExecutor.java
---
(0118712)
hgbot (developer)
2020-03-20 13:14

Repository: erp/devel/pi
Changeset: a0e22318efdccedd929e589e372efa9c8d49e410
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Mar 18 12:44:02 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a0e22318efdccedd929e589e372efa9c8d49e410 [^]

related to ISSUE-43515: Finals added & more

- Finals added
- PROPERTY_ strings replaced by actual strings
- Copyright updated

---
M src/org/openbravo/erpCommon/businessUtility/ReplaceOrderExecutor.java
---
(0118713)
dmiguelez (developer)
2020-03-20 13:15

Code Review + Testing Ok
(0118971)
hgbot (developer)
2020-04-06 11:53

Repository: erp/devel/pi
Changeset: cc2ce00b64cba67fa26c5fc5220e2e6914118ef1
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Mar 18 10:17:23 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cc2ce00b64cba67fa26c5fc5220e2e6914118ef1 [^]

fixes BUG-43515:Applied new HQL Style

---
M src/org/openbravo/erpCommon/businessUtility/ReplaceOrderExecutor.java
---
(0118972)
hgbot (developer)
2020-04-06 11:53

Repository: erp/devel/pi
Changeset: 905628ab507352842154b09c2cd519d9b46d2a8d
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Mar 18 12:44:02 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/905628ab507352842154b09c2cd519d9b46d2a8d [^]

related to ISSUE-43515: Finals added & more

- Finals added
- PROPERTY_ strings replaced by actual strings
- Copyright updated

---
M src/org/openbravo/erpCommon/businessUtility/ReplaceOrderExecutor.java
---
(0118993)
jarmendariz (developer)
2020-04-06 15:50

closed: wrongly reopened

- Issue History
Date Modified Username Field Change
2020-03-17 16:30 inigo_lerga New Issue
2020-03-17 16:30 inigo_lerga Assigned To => inigo_lerga
2020-03-17 16:30 inigo_lerga Modules => Core
2020-03-17 16:30 inigo_lerga Triggers an Emergency Pack => No
2020-03-17 16:32 inigo_lerga Relationship added related to 0041287
2020-03-17 16:32 inigo_lerga Status new => scheduled
2020-03-18 10:03 inigo_lerga Note Added: 0118667
2020-03-20 13:14 hgbot Checkin
2020-03-20 13:14 hgbot Note Added: 0118711
2020-03-20 13:14 hgbot Status scheduled => resolved
2020-03-20 13:14 hgbot Resolution open => fixed
2020-03-20 13:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/dd468d7cebe3e8cb1c57a778708ab3c40ed6c8ae [^]
2020-03-20 13:14 hgbot Checkin
2020-03-20 13:14 hgbot Note Added: 0118712
2020-03-20 13:15 dmiguelez Review Assigned To => dmiguelez
2020-03-20 13:15 dmiguelez Note Added: 0118713
2020-03-20 13:15 dmiguelez Status resolved => closed
2020-03-20 13:15 dmiguelez Fixed in Version => 3.0PR20Q2
2020-04-06 11:53 hgbot Checkin
2020-04-06 11:53 hgbot Note Added: 0118971
2020-04-06 11:53 hgbot Status closed => resolved
2020-04-06 11:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/dd468d7cebe3e8cb1c57a778708ab3c40ed6c8ae [^] => http://code.openbravo.com/erp/devel/pi/rev/cc2ce00b64cba67fa26c5fc5220e2e6914118ef1 [^]
2020-04-06 11:53 hgbot Checkin
2020-04-06 11:53 hgbot Note Added: 0118972
2020-04-06 15:50 jarmendariz Note Added: 0118993
2020-04-06 15:50 jarmendariz Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker